﻿using Demo.Data.LocalData;
using Demo.domain.Models;
using Demo.Domain.UseCase;
using System;
using System.Collections.Generic;

namespace Demo.UI
{
    public class GroupConsoleUI
    {
        private GroupUseCase _groupUseCase;

        public GroupConsoleUI(GroupUseCase groupUseCase)
        {
            _groupUseCase = groupUseCase;
        }

        public void DisplayAllGroups()
        {
            Console.WriteLine("Список групп:");
            foreach (var group in _groupUseCase.GetAllGroups())
            {
                Console.WriteLine($"Id = {group.Id}, Name = \"{group.Name}\"");
            }
        }

        public void AddGroup()
        {
            Console.WriteLine("Введите название группы:");
            string groupName = Console.ReadLine();

            var newGroup = new GroupLocalEntity
            {
                Id = LocalStaticData.groups.Max(g => g.Id) + 1,
                Name = groupName
            };

            _groupUseCase.AddGroup(newGroup);
            Console.WriteLine("Группа добавлена.");
        }

        public void UpdateGroupName()
        {
            Console.WriteLine("Введите ID группы для изменения названия:");
            if (int.TryParse(Console.ReadLine(), out int groupId))
            {
                Console.WriteLine("Введите новое название группы:");
                string newGroupName = Console.ReadLine();
                _groupUseCase.UpdateGroupName(groupId, newGroupName);
                Console.WriteLine("Название группы обновлено.");
            }
            else
            {
                Console.WriteLine("Некорректный ID группы.");
            }
        }
    }
}
